/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/path/maneuver-genom3/work/templates/ros/client/ros/maneuver_ros/msg/maneuver_v6d.msg
 *
 */


#ifndef MANEUVER_ROS_MESSAGE_MANEUVER_V6D_H
#define MANEUVER_ROS_MESSAGE_MANEUVER_V6D_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace maneuver_ros
{
template <class ContainerAllocator>
struct maneuver_v6d_
{
  typedef maneuver_v6d_<ContainerAllocator> Type;

  maneuver_v6d_()
    : v6d()  {
      v6d.assign(0.0);
  }
  maneuver_v6d_(const ContainerAllocator& _alloc)
    : v6d()  {
      v6d.assign(0.0);
  }



   typedef boost::array<double, 6>  _v6d_type;
  _v6d_type v6d;




  typedef boost::shared_ptr< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> const> ConstPtr;

}; // struct maneuver_v6d_

typedef ::maneuver_ros::maneuver_v6d_<std::allocator<void> > maneuver_v6d;

typedef boost::shared_ptr< ::maneuver_ros::maneuver_v6d > maneuver_v6dPtr;
typedef boost::shared_ptr< ::maneuver_ros::maneuver_v6d const> maneuver_v6dConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::maneuver_ros::maneuver_v6d_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace maneuver_ros

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'maneuver_ros': ['maneuver_ros/msg'], 'actionlib_msgs': ['/opt/openrobots/share/actionlib_msgs/msg'], 'std_msgs': ['/opt/openrobots/share/std_msgs/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
{
  static const char* value()
  {
    return "e5a010e13906877bc6c5f0a7251209f9";
  }

  static const char* value(const ::maneuver_ros::maneuver_v6d_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xe5a010e13906877bULL;
  static const uint64_t static_value2 = 0xc6c5f0a7251209f9ULL;
};

template<class ContainerAllocator>
struct DataType< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
{
  static const char* value()
  {
    return "maneuver_ros/maneuver_v6d";
  }

  static const char* value(const ::maneuver_ros::maneuver_v6d_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# IDL typedef ::maneuver::v6d\n\
float64[6] v6d\n\
";
  }

  static const char* value(const ::maneuver_ros::maneuver_v6d_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.v6d);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct maneuver_v6d_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::maneuver_ros::maneuver_v6d_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::maneuver_ros::maneuver_v6d_<ContainerAllocator>& v)
  {
    s << indent << "v6d[]" << std::endl;
    for (size_t i = 0; i < v.v6d.size(); ++i)
    {
      s << indent << "  v6d[" << i << "]: ";
      Printer<double>::stream(s, indent + "  ", v.v6d[i]);
    }
  }
};

} // namespace message_operations
} // namespace ros

#endif // MANEUVER_ROS_MESSAGE_MANEUVER_V6D_H
